VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Vcenter::Vm::Hardware::Adapter::Scsi::UpdateSpec Class Reference
Inheritance diagram for Com::Vmware::Vcenter::Vm::Hardware::Adapter::Scsi::UpdateSpec:

## Avaliable Methods
public method | get_sharing ()
public method | set_sharing ()
public method | new ()

## Detailed Description

The `Com::Vmware::Vcenter::Vm::Hardware::Adapter::Scsi::UpdateSpec` class describes the updates to be made to the configuration of a virtual SCSI adapter.

## Member Function Documentation

public method Com::Vmware::Vcenter::Vm::Hardware::Adapter::Scsi::UpdateSpec::get_sharing | ( |  | ) |

Gets the value of 'sharing' property.

Return values

  sharing | - The current value of the field. Bus sharing mode.

This field may only be modified if the virtual machine is not powered on.

Optional#

Code:
click to view
# Number of lines of code in get_sharing: 4
sub get_sharing {
my ($self, %args) = @_;
return $self->{'sharing'};
}

public method Com::Vmware::Vcenter::Vm::Hardware::Adapter::Scsi::UpdateSpec::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Vcenter::Vm::Hardware::Adapter::Scsi::UpdateSpec structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 16
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{sharing} = $args{'sharing'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Vcenter::Vm::Hardware::Adapter::Scsi::UpdateSpec');
$self->set_binding_name('name' => 'com.vmware.vcenter.vm.hardware.adapter.scsi.update_spec');
$self->set_binding_field('key' => 'sharing', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Vcenter::Vm::Hardware::Adapter', 'type_name' => 'Scsi::Sharing')));
bless $self, $class;
return $self;
}

public method Com::Vmware::Vcenter::Vm::Hardware::Adapter::Scsi::UpdateSpec::set_sharing | ( |  | ) |

Sets the given value for 'sharing' property.

Parameters

  sharing | - New value for the field. Bus sharing mode.

This field may only be modified if the virtual machine is not powered on.

Code:
click to view
# Number of lines of code in set_sharing: 5
sub set_sharing {
my ($self, %args) = @_;
$self->{'sharing'} = $args{'sharing'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Vcenter/Vm/Hardware/Adapter/Scsi.pm